from datetime import datetime
from enum import Enum
from typing import Dict, Optional

from aenum import Enum as AEnum
from anji_orm import Model, Field, IndexPolicy, IndexPolicySetting


class X1(Enum):

    t = 't'


class Y1(AEnum):

    t = 't'


class T1(Model):

    _table = 'test_table'

    _index_policy = IndexPolicy.singlemore
    _index_policy_settings = {
        IndexPolicySetting.additional_indexes: [
            ('c1:c2', ['c1', 'c2'])
        ]
    }

    c1: Optional[str] = Field(secondary_index=True)
    c2: Optional[str] = Field(secondary_index=True)
    c3: Optional[datetime]
    c4: Optional[Dict]
    c5: Optional[str]
    c6: Optional[X1]
    c7: Optional[Y1]
